polySolver_sources = files(
  'private/polySolver.cpp'
)

polySolver_headers = files(
  'public/polySolver.h'
)

libPolySolver = static_library('polySolver',
  polySolver_sources,
  include_directories : include_directories('./public'),
  cpp_args: ['-fvisibility=default'],
  dependencies: [mfem_dep, meshio_dep, polycoeff_dep, polyutils_dep, warning_control_dep, probe_dep, quill_dep, config_dep],
  install: true
)

polysolver_dep = declare_dependency(
  include_directories : include_directories('./public'),
  link_with : libPolySolver,
  sources : polySolver_sources,
  dependencies : [mfem_dep, meshio_dep, polycoeff_dep, polyutils_dep, warning_control_dep, probe_dep, quill_dep, config_dep]
)